Holger's Java API

## com.antelmann.cddb
Class Artist

    java.lang.Object
      com.antelmann.cddb.Resource
          com.antelmann.cddb.Artist

All Implemented Interfaces:
  Serializable, Comparable<Resource>

    public class Artist

extends Resource

Artist is an individual contributor to a composition and offers additional attributes applicable to a person. The Artist class offers some additional attributes over the standard resource and allows customized ordering.

Author:
  Holger Antelmann
See Also:
  `Role`, `Composition`, `Group`, Serialized Form

Nested Class Summary
`static class` `Artist.Gender`

Constructor Summary
`Artist(String name)`
`Artist(String name, String description)`
`Artist(String name, String description, Artist.Gender gender)`

Method Summary
`int` `compareTo(Artist a)` uses sortName if not null and name otherwise; if the object is equal, however, 0 is returned to provide consistency
`Artist.Gender` `getGender()` can be either MALE, FEMALE or UNKNOWN
`String` `getSortName()`
`void` `setGender(Artist.Gender gender)` can be either MALE, FEMALE or UNKNOWN
`void` `setSortName(String sortName)` the sortName can be used to provide an ordering different from the name of the artist.

Methods inherited from class com.antelmann.cddb.Resource
`compareTo, equals, getDescription, getName, hashCode, setDescription, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Artist

    public Artist(String name)

### Artist

    public Artist(String name,
                  String description)

### Artist

    public Artist(String name,
                  String description,
                  Artist.Gender gender)

Method Detail

### getSortName

    public String getSortName()

  See Also:
    `setSortName(String)`

### setSortName

    public void setSortName(String sortName)

  the sortName can be used to provide an ordering different from the name of the artist. E.g. if the name of the artist were "John Williams" and you wanted him to be filed under "Williams, John", you can use the latter as the sortName.

### compareTo

    public int compareTo(Artist a)

  uses sortName if not null and name otherwise; if the object is equal, however, 0 is returned to provide consistency

  See Also:
    `setSortName(String)`

### getGender

    public Artist.Gender getGender()

  can be either MALE, FEMALE or UNKNOWN

### setGender

    public void setGender(Artist.Gender gender)

  can be either MALE, FEMALE or UNKNOWN

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads